# Public Data Api

### What kind of data I will get

Companies House PublicDataApi provides a wide range of data and information related to registered companies and legal entities in the United Kingdom.

### Integration Scope

Companies House offers a variety of data types, giving you the freedom to select the information that suits your needs. These categories include

* Company profile
* Registered office address
* Officers (including appointments and disqualifications)
* Registers
* Charges
* Filing history
* Insolvency
* Exemptions
* UK Establishments
* Persons with significant control

### Input

User needs to provide number of company.

```
{
    "companyNumber": "123998123"
}
```

### Output

<pre><code>{
<strong>  "companiesHouse" : {
</strong>    "company" : {
      "charges" : {
        ...
      },
      "registeredOfficeAddress": {
        ...
      },
      "companyProfile": {
        ...
      },
      "officers": {
        ...
      },
      "registers": {
        ...
      },
      "filingHistory": {
        ...
      },
      "insolvency": {
        ...
      },
      "exemptions": {
        ...
      },
      "ukEstablishments": {
        ...
      },
      personsWithSignificantControl: {
        ...
      }
    }
}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/companies-house/public-data-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
